ATMEL: S_usb_configuration_descriptor Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_configuration_descriptor Struct Reference

Usb Configuration Descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields

U8 | bLength
| size of this descriptor in bytes
U8 | bDescriptorType
| CONFIGURATION descriptor type.
U16 | wTotalLength
| total length of data returned
U8 | bNumInterfaces
| number of interfaces for this conf.
U8 | bConfigurationValue
| value for SetConfiguration resquest
U8 | iConfiguration
| index of string descriptor
U8 | bmAttibutes
| Configuration characteristics.
U8 | MaxPower
| maximum power consumption

## Detailed Description

Usb Configuration Descriptor.

Definition at line 254 of file usb_descriptors.h.

## Field Documentation

U8 S_usb_configuration_descriptor::bLength

size of this descriptor in bytes

Definition at line 255 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::bDescriptorType

CONFIGURATION descriptor type.

Definition at line 256 of file usb_descriptors.h.

U16 S_usb_configuration_descriptor::wTotalLength

total length of data returned

Definition at line 257 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::bNumInterfaces

number of interfaces for this conf.

Definition at line 258 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::bConfigurationValue

value for SetConfiguration resquest

Definition at line 259 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::iConfiguration

index of string descriptor

Definition at line 260 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::bmAttibutes

Configuration characteristics.

Definition at line 261 of file usb_descriptors.h.

U8 S_usb_configuration_descriptor::MaxPower

maximum power consumption

Definition at line 262 of file usb_descriptors.h.

The documentation for this struct was generated from the following file:

- usb_descriptors.h